petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSSetTimeStep

Allows one to reset the timestep at any time, useful for simple pseudo-timestepping codes.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetTimeStep(TS ts,PetscReal time_step)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| time_step | - the size of the timestep

### See Also

TSSetInitialTimeStep(), TSGetTimeStep()

### Keywords

TS, set, timestep

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex42.c.html